package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;
public enum JointInfoShowEnum {
    公共服务部("公共服务部", "公共服务部"),
    党政建设部("党政建设部", "党政建设部"),
    网络理政部("网络理政部", "网络理政部");
    private String value;
    private String desc;

    JointInfoShowEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static JointInfoShowEnum getByValue(String value) {
        for (JointInfoShowEnum isLackEnum : JointInfoShowEnum.values()) {
            if (isLackEnum.getValue() == value) {
                return isLackEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (JointInfoShowEnum item : JointInfoShowEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}