package com.mortals.xhx.module.single.model;

import java.util.List;
import com.mortals.xhx.module.single.model.SingleMatterEntity;
/**
* 单事项查询对象
*
* @author zxfei
* @date 2023-03-21
*/
public class SingleMatterQuery extends SingleMatterEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 站点事项id */
    private Long siteMatterIdStart;

    /** 结束 站点事项id */
    private Long siteMatterIdEnd;

    /** 增加 站点事项id */
    private Long siteMatterIdIncrement;

    /** 站点事项id列表 */
    private List <Long> siteMatterIdList;

    /** 站点事项id排除列表 */
    private List <Long> siteMatterIdNotList;

    /** 开始 基础事项ID */
    private Long matterIdStart;

    /** 结束 基础事项ID */
    private Long matterIdEnd;

    /** 增加 基础事项ID */
    private Long matterIdIncrement;

    /** 基础事项ID列表 */
    private List <Long> matterIdList;

    /** 基础事项ID排除列表 */
    private List <Long> matterIdNotList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项编码排除列表 */
    private List <String> matterCodeNotList;
    /** 开始 部门ID */
    private Long deptIdStart;

    /** 结束 部门ID */
    private Long deptIdEnd;

    /** 增加 部门ID */
    private Long deptIdIncrement;

    /** 部门ID列表 */
    private List <Long> deptIdList;

    /** 部门ID排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 部门编码 */
    private List<String> deptCodeList;

    /** 部门编码排除列表 */
    private List <String> deptCodeNotList;
    /** 开始 事项来源 */
    private Integer sourceStart;

    /** 结束 事项来源 */
    private Integer sourceEnd;

    /** 增加 事项来源 */
    private Integer sourceIncrement;

    /** 事项来源列表 */
    private List <Integer> sourceList;

    /** 事项来源排除列表 */
    private List <Integer> sourceNotList;

    /** 事项类型 */
    private List<String> eventTypeShowList;

    /** 事项类型排除列表 */
    private List <String> eventTypeShowNotList;
    /** 开始 浏览次数 */
    private Long viewsCountStart;

    /** 结束 浏览次数 */
    private Long viewsCountEnd;

    /** 增加 浏览次数 */
    private Long viewsCountIncrement;

    /** 浏览次数列表 */
    private List <Long> viewsCountList;

    /** 浏览次数排除列表 */
    private List <Long> viewsCountNotList;

    /** 开始 是否生成本地附件 */
    private Integer isConvertStart;

    /** 结束 是否生成本地附件 */
    private Integer isConvertEnd;

    /** 增加 是否生成本地附件 */
    private Integer isConvertIncrement;

    /** 是否生成本地附件列表 */
    private List <Integer> isConvertList;

    /** 是否生成本地附件排除列表 */
    private List <Integer> isConvertNotList;

    /** 事项详情链接 */
    private List<String> urlList;

    /** 事项详情链接排除列表 */
    private List <String> urlNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SingleMatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SingleMatterQuery> andConditionList;

    public SingleMatterQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 开始 站点事项id
    * @return siteMatterIdStart
    */
    public Long getSiteMatterIdStart(){
        return this.siteMatterIdStart;
    }

    /**
    * 设置 开始 站点事项id
    * @param siteMatterIdStart
    */
    public void setSiteMatterIdStart(Long siteMatterIdStart){
        this.siteMatterIdStart = siteMatterIdStart;
    }

    /**
    * 获取 结束 站点事项id
    * @return $siteMatterIdEnd
    */
    public Long getSiteMatterIdEnd(){
        return this.siteMatterIdEnd;
    }

    /**
    * 设置 结束 站点事项id
    * @param siteMatterIdEnd
    */
    public void setSiteMatterIdEnd(Long siteMatterIdEnd){
        this.siteMatterIdEnd = siteMatterIdEnd;
    }

    /**
    * 获取 增加 站点事项id
    * @return siteMatterIdIncrement
    */
    public Long getSiteMatterIdIncrement(){
        return this.siteMatterIdIncrement;
    }

    /**
    * 设置 增加 站点事项id
    * @param siteMatterIdIncrement
    */
    public void setSiteMatterIdIncrement(Long siteMatterIdIncrement){
        this.siteMatterIdIncrement = siteMatterIdIncrement;
    }

    /**
    * 获取 站点事项id
    * @return siteMatterIdList
    */
    public List<Long> getSiteMatterIdList(){
        return this.siteMatterIdList;
    }

    /**
    * 设置 站点事项id
    * @param siteMatterIdList
    */
    public void setSiteMatterIdList(List<Long> siteMatterIdList){
        this.siteMatterIdList = siteMatterIdList;
    }

    /**
    * 获取 站点事项id
    * @return siteMatterIdNotList
    */
    public List<Long> getSiteMatterIdNotList(){
        return this.siteMatterIdNotList;
    }

    /**
    * 设置 站点事项id
    * @param siteMatterIdNotList
    */
    public void setSiteMatterIdNotList(List<Long> siteMatterIdNotList){
        this.siteMatterIdNotList = siteMatterIdNotList;
    }


    /**
    * 获取 开始 基础事项ID
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 基础事项ID
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 基础事项ID
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 基础事项ID
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 基础事项ID
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 基础事项ID
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 基础事项ID
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 基础事项ID
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 基础事项ID
    * @return matterIdNotList
    */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
    * 设置 基础事项ID
    * @param matterIdNotList
    */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
    * 获取 事项名称
    * @return matterNameList
    */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
    * 获取 事项名称
    * @return matterNameNotList
    */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
    * 设置 事项名称
    * @param matterNameNotList
    */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
    * 获取 事项编码
    * @return matterCodeList
    */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
    * 设置 事项编码
    * @param matterCodeList
    */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }

    /**
    * 获取 事项编码
    * @return matterCodeNotList
    */
    public List<String> getMatterCodeNotList(){
        return this.matterCodeNotList;
    }

    /**
    * 设置 事项编码
    * @param matterCodeNotList
    */
    public void setMatterCodeNotList(List<String> matterCodeNotList){
        this.matterCodeNotList = matterCodeNotList;
    }

    /**
    * 获取 开始 部门ID
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 部门ID
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 部门ID
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 部门ID
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 部门ID
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 部门ID
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 部门ID
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 部门ID
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 部门ID
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 部门ID
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 部门编码
    * @return deptCodeList
    */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
    * 设置 部门编码
    * @param deptCodeList
    */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }

    /**
    * 获取 部门编码
    * @return deptCodeNotList
    */
    public List<String> getDeptCodeNotList(){
        return this.deptCodeNotList;
    }

    /**
    * 设置 部门编码
    * @param deptCodeNotList
    */
    public void setDeptCodeNotList(List<String> deptCodeNotList){
        this.deptCodeNotList = deptCodeNotList;
    }

    /**
    * 获取 开始 事项来源
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 事项来源
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 事项来源
    * @return $sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 事项来源
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 事项来源
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 事项来源
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 事项来源
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 事项来源
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
    * 获取 事项来源
    * @return sourceNotList
    */
    public List<Integer> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
    * 设置 事项来源
    * @param sourceNotList
    */
    public void setSourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
    }


    /**
    * 获取 事项类型
    * @return eventTypeShowList
    */
    public List<String> getEventTypeShowList(){
        return this.eventTypeShowList;
    }

    /**
    * 设置 事项类型
    * @param eventTypeShowList
    */
    public void setEventTypeShowList(List<String> eventTypeShowList){
        this.eventTypeShowList = eventTypeShowList;
    }

    /**
    * 获取 事项类型
    * @return eventTypeShowNotList
    */
    public List<String> getEventTypeShowNotList(){
        return this.eventTypeShowNotList;
    }

    /**
    * 设置 事项类型
    * @param eventTypeShowNotList
    */
    public void setEventTypeShowNotList(List<String> eventTypeShowNotList){
        this.eventTypeShowNotList = eventTypeShowNotList;
    }

    /**
    * 获取 开始 浏览次数
    * @return viewsCountStart
    */
    public Long getViewsCountStart(){
        return this.viewsCountStart;
    }

    /**
    * 设置 开始 浏览次数
    * @param viewsCountStart
    */
    public void setViewsCountStart(Long viewsCountStart){
        this.viewsCountStart = viewsCountStart;
    }

    /**
    * 获取 结束 浏览次数
    * @return $viewsCountEnd
    */
    public Long getViewsCountEnd(){
        return this.viewsCountEnd;
    }

    /**
    * 设置 结束 浏览次数
    * @param viewsCountEnd
    */
    public void setViewsCountEnd(Long viewsCountEnd){
        this.viewsCountEnd = viewsCountEnd;
    }

    /**
    * 获取 增加 浏览次数
    * @return viewsCountIncrement
    */
    public Long getViewsCountIncrement(){
        return this.viewsCountIncrement;
    }

    /**
    * 设置 增加 浏览次数
    * @param viewsCountIncrement
    */
    public void setViewsCountIncrement(Long viewsCountIncrement){
        this.viewsCountIncrement = viewsCountIncrement;
    }

    /**
    * 获取 浏览次数
    * @return viewsCountList
    */
    public List<Long> getViewsCountList(){
        return this.viewsCountList;
    }

    /**
    * 设置 浏览次数
    * @param viewsCountList
    */
    public void setViewsCountList(List<Long> viewsCountList){
        this.viewsCountList = viewsCountList;
    }

    /**
    * 获取 浏览次数
    * @return viewsCountNotList
    */
    public List<Long> getViewsCountNotList(){
        return this.viewsCountNotList;
    }

    /**
    * 设置 浏览次数
    * @param viewsCountNotList
    */
    public void setViewsCountNotList(List<Long> viewsCountNotList){
        this.viewsCountNotList = viewsCountNotList;
    }


    /**
    * 获取 开始 是否生成本地附件
    * @return isConvertStart
    */
    public Integer getIsConvertStart(){
        return this.isConvertStart;
    }

    /**
    * 设置 开始 是否生成本地附件
    * @param isConvertStart
    */
    public void setIsConvertStart(Integer isConvertStart){
        this.isConvertStart = isConvertStart;
    }

    /**
    * 获取 结束 是否生成本地附件
    * @return $isConvertEnd
    */
    public Integer getIsConvertEnd(){
        return this.isConvertEnd;
    }

    /**
    * 设置 结束 是否生成本地附件
    * @param isConvertEnd
    */
    public void setIsConvertEnd(Integer isConvertEnd){
        this.isConvertEnd = isConvertEnd;
    }

    /**
    * 获取 增加 是否生成本地附件
    * @return isConvertIncrement
    */
    public Integer getIsConvertIncrement(){
        return this.isConvertIncrement;
    }

    /**
    * 设置 增加 是否生成本地附件
    * @param isConvertIncrement
    */
    public void setIsConvertIncrement(Integer isConvertIncrement){
        this.isConvertIncrement = isConvertIncrement;
    }

    /**
    * 获取 是否生成本地附件
    * @return isConvertList
    */
    public List<Integer> getIsConvertList(){
        return this.isConvertList;
    }

    /**
    * 设置 是否生成本地附件
    * @param isConvertList
    */
    public void setIsConvertList(List<Integer> isConvertList){
        this.isConvertList = isConvertList;
    }

    /**
    * 获取 是否生成本地附件
    * @return isConvertNotList
    */
    public List<Integer> getIsConvertNotList(){
        return this.isConvertNotList;
    }

    /**
    * 设置 是否生成本地附件
    * @param isConvertNotList
    */
    public void setIsConvertNotList(List<Integer> isConvertNotList){
        this.isConvertNotList = isConvertNotList;
    }


    /**
    * 获取 事项详情链接
    * @return urlList
    */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
    * 设置 事项详情链接
    * @param urlList
    */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }

    /**
    * 获取 事项详情链接
    * @return urlNotList
    */
    public List<String> getUrlNotList(){
        return this.urlNotList;
    }

    /**
    * 设置 事项详情链接
    * @param urlNotList
    */
    public void setUrlNotList(List<String> urlNotList){
        this.urlNotList = urlNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SingleMatterQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SingleMatterQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SingleMatterQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SingleMatterQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SingleMatterQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public SingleMatterQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点id
    * @param siteId
    */
    public SingleMatterQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public SingleMatterQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public SingleMatterQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public SingleMatterQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public SingleMatterQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点id
        * @param siteIdNotList
        */
        public SingleMatterQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public SingleMatterQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public SingleMatterQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  站点事项id
    * @param siteMatterId
    */
    public SingleMatterQuery siteMatterId(Long siteMatterId){
	    setSiteMatterId(siteMatterId);
		return this;
    }
	
	 /**
    * 设置 开始 站点事项id
    * @param siteMatterIdStart
    */
    public SingleMatterQuery siteMatterIdStart(Long siteMatterIdStart){
		this.siteMatterIdStart = siteMatterIdStart;
		return this;
    }

    /**
    * 设置 结束 站点事项id
    * @param siteMatterIdEnd
    */
    public SingleMatterQuery siteMatterIdEnd(Long siteMatterIdEnd){
		this.siteMatterIdEnd = siteMatterIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点事项id
    * @param siteMatterIdIncrement
    */
    public SingleMatterQuery siteMatterIdIncrement(Long siteMatterIdIncrement){
		this.siteMatterIdIncrement = siteMatterIdIncrement;
		return this;
    }

    /**
    * 设置 站点事项id
    * @param siteMatterIdList
    */
    public SingleMatterQuery siteMatterIdList(List<Long> siteMatterIdList){
        this.siteMatterIdList = siteMatterIdList;
		return this;
        }

        /**
        * 设置 站点事项id
        * @param siteMatterIdNotList
        */
        public SingleMatterQuery siteMatterIdNotList(List<Long> siteMatterIdNotList){
        this.siteMatterIdNotList = siteMatterIdNotList;
        return this;
        }

    /**
    * 设置  基础事项ID
    * @param matterId
    */
    public SingleMatterQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 基础事项ID
    * @param matterIdStart
    */
    public SingleMatterQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 基础事项ID
    * @param matterIdEnd
    */
    public SingleMatterQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 基础事项ID
    * @param matterIdIncrement
    */
    public SingleMatterQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 基础事项ID
    * @param matterIdList
    */
    public SingleMatterQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }

        /**
        * 设置 基础事项ID
        * @param matterIdNotList
        */
        public SingleMatterQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
        }


	/**
    * 设置 事项名称
    * @param matterName
    */
    public SingleMatterQuery matterName(String matterName){
        setMatterName(matterName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public SingleMatterQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
		return this;
    }


	/**
    * 设置 事项编码
    * @param matterCode
    */
    public SingleMatterQuery matterCode(String matterCode){
        setMatterCode(matterCode);
		return this;
    }

    /**
    * 设置 事项编码
    * @param matterCodeList
    */
    public SingleMatterQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
		return this;
    }

    /**
    * 设置  部门ID
    * @param deptId
    */
    public SingleMatterQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 部门ID
    * @param deptIdStart
    */
    public SingleMatterQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 部门ID
    * @param deptIdEnd
    */
    public SingleMatterQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 部门ID
    * @param deptIdIncrement
    */
    public SingleMatterQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 部门ID
    * @param deptIdList
    */
    public SingleMatterQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 部门ID
        * @param deptIdNotList
        */
        public SingleMatterQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 部门名称
    * @param deptName
    */
    public SingleMatterQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public SingleMatterQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }


	/**
    * 设置 部门编码
    * @param deptCode
    */
    public SingleMatterQuery deptCode(String deptCode){
        setDeptCode(deptCode);
		return this;
    }

    /**
    * 设置 部门编码
    * @param deptCodeList
    */
    public SingleMatterQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
		return this;
    }

    /**
    * 设置  事项来源
    * @param source
    */
    public SingleMatterQuery source(Integer source){
	    setSource(source);
		return this;
    }
	
	 /**
    * 设置 开始 事项来源
    * @param sourceStart
    */
    public SingleMatterQuery sourceStart(Integer sourceStart){
		this.sourceStart = sourceStart;
		return this;
    }

    /**
    * 设置 结束 事项来源
    * @param sourceEnd
    */
    public SingleMatterQuery sourceEnd(Integer sourceEnd){
		this.sourceEnd = sourceEnd;
		return this;
    }

    /**
    * 设置 增加 事项来源
    * @param sourceIncrement
    */
    public SingleMatterQuery sourceIncrement(Integer sourceIncrement){
		this.sourceIncrement = sourceIncrement;
		return this;
    }

    /**
    * 设置 事项来源
    * @param sourceList
    */
    public SingleMatterQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
        }

        /**
        * 设置 事项来源
        * @param sourceNotList
        */
        public SingleMatterQuery sourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
        return this;
        }


	/**
    * 设置 事项类型
    * @param eventTypeShow
    */
    public SingleMatterQuery eventTypeShow(String eventTypeShow){
        setEventTypeShow(eventTypeShow);
		return this;
    }

    /**
    * 设置 事项类型
    * @param eventTypeShowList
    */
    public SingleMatterQuery eventTypeShowList(List<String> eventTypeShowList){
        this.eventTypeShowList = eventTypeShowList;
		return this;
    }

    /**
    * 设置  浏览次数
    * @param viewsCount
    */
    public SingleMatterQuery viewsCount(Long viewsCount){
	    setViewsCount(viewsCount);
		return this;
    }
	
	 /**
    * 设置 开始 浏览次数
    * @param viewsCountStart
    */
    public SingleMatterQuery viewsCountStart(Long viewsCountStart){
		this.viewsCountStart = viewsCountStart;
		return this;
    }

    /**
    * 设置 结束 浏览次数
    * @param viewsCountEnd
    */
    public SingleMatterQuery viewsCountEnd(Long viewsCountEnd){
		this.viewsCountEnd = viewsCountEnd;
		return this;
    }

    /**
    * 设置 增加 浏览次数
    * @param viewsCountIncrement
    */
    public SingleMatterQuery viewsCountIncrement(Long viewsCountIncrement){
		this.viewsCountIncrement = viewsCountIncrement;
		return this;
    }

    /**
    * 设置 浏览次数
    * @param viewsCountList
    */
    public SingleMatterQuery viewsCountList(List<Long> viewsCountList){
        this.viewsCountList = viewsCountList;
		return this;
        }

        /**
        * 设置 浏览次数
        * @param viewsCountNotList
        */
        public SingleMatterQuery viewsCountNotList(List<Long> viewsCountNotList){
        this.viewsCountNotList = viewsCountNotList;
        return this;
        }

    /**
    * 设置  是否生成本地附件
    * @param isConvert
    */
    public SingleMatterQuery isConvert(Integer isConvert){
	    setIsConvert(isConvert);
		return this;
    }
	
	 /**
    * 设置 开始 是否生成本地附件
    * @param isConvertStart
    */
    public SingleMatterQuery isConvertStart(Integer isConvertStart){
		this.isConvertStart = isConvertStart;
		return this;
    }

    /**
    * 设置 结束 是否生成本地附件
    * @param isConvertEnd
    */
    public SingleMatterQuery isConvertEnd(Integer isConvertEnd){
		this.isConvertEnd = isConvertEnd;
		return this;
    }

    /**
    * 设置 增加 是否生成本地附件
    * @param isConvertIncrement
    */
    public SingleMatterQuery isConvertIncrement(Integer isConvertIncrement){
		this.isConvertIncrement = isConvertIncrement;
		return this;
    }

    /**
    * 设置 是否生成本地附件
    * @param isConvertList
    */
    public SingleMatterQuery isConvertList(List<Integer> isConvertList){
        this.isConvertList = isConvertList;
		return this;
        }

        /**
        * 设置 是否生成本地附件
        * @param isConvertNotList
        */
        public SingleMatterQuery isConvertNotList(List<Integer> isConvertNotList){
        this.isConvertNotList = isConvertNotList;
        return this;
        }


	/**
    * 设置 事项详情链接
    * @param url
    */
    public SingleMatterQuery url(String url){
        setUrl(url);
		return this;
    }

    /**
    * 设置 事项详情链接
    * @param urlList
    */
    public SingleMatterQuery urlList(List<String> urlList){
        this.urlList = urlList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SingleMatterQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SingleMatterQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SingleMatterQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SingleMatterQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SingleMatterQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public SingleMatterQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public SingleMatterQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public SingleMatterQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public SingleMatterQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public SingleMatterQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public SingleMatterQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public SingleMatterQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SingleMatterQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SingleMatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SingleMatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SingleMatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}