package com.mortals.xhx.module.site.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.site.model.SiteMatterEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 站点事项视图对象
*
* @author zxfei
* @date 2022-01-12
*/
@Data
public class SiteMatterVo extends BaseEntityLong {

    /**
     * 所属部门
     */
    private  String belongDept;

    /**
     * 窗口到现场次数
     */
    private Integer windowToTheSceneNum;

    /**
     * 网办到现场次数
     */
    private Integer onlineToTheSceneNum;

    /**
     * 区域编码
     */
    private  String areaCode;

    /** 事项类型排除列表 */
    private List <String> eventTypeShowNotList;

    /** 材料数量 */
    private Integer datumCount = 0;

    /** 是否已添加收藏 */
    private Integer isCollect = 0;

}